@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <style>
            .divider:after,
            .divider:before {
                content: "";
                flex: 1;
                height: 1px;
                background: #eee;
            }

            .h-custom {
                height: calc(100% - 73px);
            }

            @media (max-width: 450px) {
                .h-custom {
                    height: 100%;
                }
            }
        </style>

        <section class="vh-100">
            <div class="container-fluid h-custom">
                <div class="row d-flex justify-content-center align-items-center h-100">
                    <div class="col-md-9 col-lg-6 col-xl-5">
                        <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-login-form/draw2.webp"
                            class="img-fluid" alt="Sample image">
                    </div>
                    <div class="col-md-8 col-lg-6 col-xl-4 offset-xl-1">
                        <form method="POST" action="{{ route('login') }}">
                            @csrf

                            <div class="divider d-flex align-items-center my-4">
                                <p class="text-center fw-bold mx-3 mb-0">Iniciar Sesión</p>
                            </div>

                            <!-- Email input -->
                            <div class="form-outline mb-4">

                                <input id="email" type="email"
                                    class="form-control form-control-lg @error('email') is-invalid @enderror" name="email"
                                    value="{{ old('email') }}" required autocomplete="email" autofocus
                                    placeholder="Ingresar Correo Electronico">

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                               
                                <label class="form-label" for="form3Example3">Correo Electronico</label>
                            </div>

                            <!-- Password input -->
                            <div class="form-outline mb-3">
                                <input id="password" type="password"
                                    class="form-control form-control-lg @error('password') is-invalid @enderror" name="password" required
                                    autocomplete="current-password" placeholder="Ingresar Contraseña">
                                
                                <label class="form-label" for="form3Example4">Contraseña</label>
                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="d-flex justify-content-between align-items-center">
                                <!-- Checkbox -->
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="remember" id="remember"
                                        {{ old('remember') ? 'checked' : '' }}>

                                    <label class="form-check-label" for="remember">
                                       Recordarme
                                    </label>
                                </div>
                                @if (Route::has('password.request'))
                                    <a class="text-body" href="{{ route('password.request') }}">
                                        Olvidaste tu Contraseña?
                                    </a>
                                @endif
                            </div>

                            <div class="text-center text-lg-start mt-4 pt-2">
                                <button type="submit" class="btn btn-primary btn-lg"
                                    style="padding-left: 2.5rem; padding-right: 2.5rem;">
                                    Ingresar
                                </button>
                                <p class="small fw-bold mt-2 pt-1 mb-0">No tienes una Cuenta? <a href="{{ route('register') }}"
                                        class="link-danger">Registrarse</a></p>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </section>


    </div>
@endsection
