@extends('layouts.app')

@section('template_title')
    Lista de Usuarios Habilitados al Evento
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <span id="card_title">
                                {{ __('Lista de Estudiantes Inscritos') }}
                            </span>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif
                    <div class="card-body">
                        <form method="POST" action="{{ route('actualizarasistencia') }}" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" name="idevento" value="{{$id}}">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>
                                        <th>Asistencia</th>                
                                        <th>Estudiante</th>
                                        <th>C.I.</th>
                                        <th>Correo Electronico</th>
                                        <th>COD. de Participación</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($datos as $item)
                                    <tr>
                                      <td>{{$loop->iteration}}</td>
                                      <td><div class="form-check form-switch">
                                        <input type="hidden" name="validar[{{ $item->idinscrito }}]" value="0">
                                        <input class="form-check-input asistencia-switch" type="checkbox" role="switch" id="flexSwitchCheckChecked_{{ $item->idinscrito }}" 
                                               data-id="{{ $item->idinscrito }}" data-evento="{{ $id }}" name="validar[{{ $item->idinscrito }}]" 
                                               value="1" {{ $item->asistencia == 1 ? 'checked' : '' }}>
                                      </div></td>
                                      <td>{{$item->name}} {{$item->apellido}}</td>
                                      <td>{{$item->documento}}</td>
                                      <td>{{$item->email}}</td>
                                      <td>{{$item->codigo}}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            <div class="box-footer mt20">
                              <button type="submit" class="btn btn-success">Actualizar Asistencia</button>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
               
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function() {
    $('.asistencia-switch').change(function() {
        var id = $(this).data('id');  // Obtener el ID del usuario
        var eventoId = $(this).data('evento');  // Obtener el ID del evento
        var asistencia = $(this).is(':checked') ? 1 : 0;  // Determinar si está activado o desactivado
        console.log(id,eventoId,asistencia)
        // Enviar los datos por AJAX
        $.ajax({
            url: '/actualizar-asistencia',  // Ruta donde está la lógica de actualización
            method: 'POST',
            data: {
                _token: '{{ csrf_token() }}',  // Asegurarse de enviar el token CSRF
                id: id,
                asistencia: asistencia,
                evento_id: eventoId
            },
            success: function(response) {
               
            },
            error: function() {
               
            }
        });
    });
});
    </script>
@endsection
