@extends('layouts.app')

@section('template_title')
    Lista de Usuarios Inscrito al Evento
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <span id="card_title">
                                {{ __('Lista de Estudiantes Inscritos') }}
                            </span>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>                 
                                        <th>Estudiante</th>
                                        <th>Correo Electronico</th>
                                        <th>Opciones</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($datos as $item)
                                    <tr>
                                      <td>{{$loop->iteration}}</td>
                                      <td>{{$item->name}}</td>
                                      <td>{{$item->email}}</td>
                                      <td>
                                        <a class="btn btn-primary flex-shrink-0 me-1"
                                        href="{{route('verificarestado',$item->usuario_id)}}"><i class="fa fa-fw fa-edit"></i>
                                        verificar</a>
                                        @if ($item->asistencia == 1)
                                        <a class="btn btn-danger flex-shrink-0 me-1"
                                        href="{{route('certificadosepdf',$item->idparticipante)}}"><i class="fa fa-fw fa-edit"></i>
                                        certificado</a>
                                        @endif
                                      </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
               
            </div>
        </div>
    </div>
@endsection
