@extends('layouts.app')

@section('template_title')
    {{ $evento->name ?? 'Show Evento' }}
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="container px-4 px-lg-5">
            <!-- Heading Row-->
            <div class="row gx-4 gx-lg-5 align-items-center my-5">
                <h1 class="fw-bolder fs-4 text-uppercase text-center">{{ $evento->nombre_evento }}</h1>
                <div class="col-md-5">
                    <img class="rounded card-img-top mb-5 mb-md-0" src="../{{ $evento->portada }}" width="250"
                        alt="..." />
                </div>

                <div class="col-lg-7">
                    <div class="text-center">
                        @foreach ($ambientes as $ambiente)
                            @if ($ambiente->evento_id == $evento->id)
                                <p>
                                    <strong>Direccion: {{ $ambiente->direccion }}</strong>
                                </p>
                                <p>
                                    <strong>Nombre del Ambiente:</strong> {{ $ambiente->nombre_ambiente }}
                                    <br><strong>Descripcion:</strong> {{ $ambiente->descripcion }}
                                </p>
                            @endif
                        @endforeach
                    </div>
                    <span class="badge bg-success mb-1">Numero de cupos: {{ $evento->nro_cupos - $c }}</span>
                    <div class="fw-normal">
                        <p>{{ $evento->descripcion }}</p>
                    </div>
                    <h4 class="fs-5">Fecha del evento: <span>{{ $evento->fecha }}</span></h4>
                    <div class="d-flex flex-wrap">
                            @php
                                $swCupo = 'true';
                            @endphp
                            @if ($evento->nro_cupos - $c == 0)
                                @php
                                    $swCupo = 'false';
                                @endphp
                            @endif
                            @php
                                $sw = 'false';
                            @endphp
                            @foreach ($inscritos as $inscrito)
                                @if ($inscrito->evento_id == $evento->id && auth()->id() == $inscrito->usuario_id)
                                    @php
                                        $sw = 'true';
                                    @endphp
                                @break
                            @endif
                        @endforeach
                        @if ($sw == 'true')
                            <button type="button" class="btn btn-success btn-sm m-1">Inscrito</button>
                        @else
                            @if ($swCupo == 'true')
                                <form method="POST" action="{{ route('inscribir_usuario') }}">
                                    @csrf
                                    <input type="hidden" name="id_evento" value="{{ $evento->id }}">
                                    <button class="btn btn-primary btn-sm m-1" type="submit">Inscribirse</button>
                                </form>
                            @else
                                <button type="button" class="btn btn-sm btn-danger px-1 m-1">Sin Cupo</button>
                            @endif
                        @endif
                        <a class="btn btn-secondary btn-sm m-1" href="{{ route('eventos.index') }}">Regresar</a>
                    </div>
                </div>
            </div>
        <div class="card text-white bg-light text-center mb-3 pt-2">
            <h6 class="text-black text-uppercase">Charlas que se realizaran en el evento</h6>
        </div>
        <div class="row gx-4 gx-lg-5">
            @foreach ($charlas as $charla)
                <div class="col-md-4 mb-5">
                    <div class="card" style="width: 20rem;">
                        <img class="card-img-top" src="../{{ $charla->archivo }}" alt="Card image cap">
                        <div class="card-body text-center">
                            <h5 class="card-title text-uppercase">{{ $charla->tema }}</h5>
                            <p class="card-text">Expositor: {{ $charla->expositore->user->name }}</p>
                            <p class="card-text">{{ $charla->expositore->informacion }}</p>
                            <p class="card-text">Horario: {{ $charla->horario }}</p>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>

    </div>
</section>
@endsection
