@extends('layouts.app')

@section('template_title')
    {{ $inscribeUsuarioEvento->name ?? 'Show Inscribe Usuario Evento' }}
@endsection

@section('content')
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="float-left">
                            <span class="card-title">Pagar evento</span>
                        </div>
                        <div class="float-right">
                            <a class="btn btn-primary" href=""> Salir</a>
                        </div>
                    </div>
                    
                    <div class="card-body">
                      <h5>Eventos</h5>
                      <div class="form-group">
                        <strong>Nombre del evento:</strong>
                        {{$datosEvento[0]->nombre_evento}}
                      </div>
                      <div class="form-group">
                        <strong>Descripcion:</strong>
                        {{$datosEvento[0]->descripcion}}
                      </div>
                      <div class="form-group">
                        <strong>tipo de Evento:</strong>
                        {{$datosEvento[0]->tipo_evento}}
                      </div>
                      <div class="form-group">
                        <strong>Costo del Evento:</strong>
                        {{$datosEvento[0]->costo}} Bs.
                      </div>
                    </div>
                    <div class="card-body">
                      <h5>Estudiante</h5>
                      <div class="form-group">
                        <strong>Nombre:</strong>
                        {{$datosEstudiante[0]->name}}
                      </div>
                      <div class="form-group">
                        <strong>Correo Electronico:</strong>
                        {{$datosEstudiante[0]->email}}
                      </div>
                      @if ($datosEstudiante[0]->estado_asistencia==="pendiente")
                      <div class="form-group">
                        <strong>Estado:</strong>
                        <h5 style="color:red">{{$datosEstudiante[0]->estado_asistencia}}</h5>
                        <h6 style="color:red">Realizar el Pago y enviar el comprobante de pago, si ya lo realizo y el pendiente persiste por favor vuelva a enviar el comprobante con los datos al cual corresponde</h6>
                        <h6 style="color:red">La Verificacion del pago en ocasiones puede ser inmediato o puede demorar 24 horas por favor tomar encuenta. Gracias</h6>
                      </div>
                      @else
                      <div class="form-group">
                        <strong>Estado:</strong>
                        <h5 style="color:green">{{$datosEstudiante[0]->estado_asistencia}}</h5>
                        <h6 style="color:green">Su pago ha sido aceptado para el evento. Muchas gracias por Participar.</h6>
                      </div>
                      @endif
                      <form method="POST" action="{{ route('registrarpago', $datosEstudiante[0]->usuario_id) }}" enctype="multipart/form-data">
                        @csrf                
                      <div class="form-group">
                        {{ Form::label('Comprobante de Pago') }}
                        <br>
                            <input type="file" name="boleta" id="">
                      </div>
                    </div>
                    <div class="card-body">
                      <div class="box-footer mt20">
                        <button type="submit" class="btn btn-success">Registrar Pago</button>
                      </div>
                    </div>
                  </form>
                  </div>
                </div>
            </div>
        </div>
    </section>
@endsection