<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Cursos Umsa</title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />
    <link rel="stylesheet" href="{{ asset('css/styles.css') }}" />
    {{-- <script src="js/scripts.js"></script> --}}
    <!-- Styles -->
    <style>
        /* Estilos para la lista de comentarios */
        .comment {
            background-color: #f5f5f5;
            border: 1px solid #ddd;
            padding: 10px;
            margin-bottom: 10px;
        }

        .content {
            margin-bottom: 10px;
        }

        .details {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .author {
            font-size: 14px;
            font-weight: bold;
            color: #555;
        }

        .date {
            font-size: 12px;
            color: #999;
        }

        .actions button {
            background-color: transparent;
            border: none;
            cursor: pointer;
            font-size: 14px;
            color: #555;
            margin-left: 10px;
        }

        .actions button:hover {
            text-decoration: underline;
        }
    </style>
</head>

<body id="page-top">

    <!-- Navigation-->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top py-3" id="mainNav">
        <div class="container px-4 px-lg-5">
            <a class="navbar-brand" href="#page-top">UMSA</a>
            <button class="navbar-toggler navbar-toggler-right" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
                aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ms-auto my-2 my-lg-0">
                    <li class="nav-item"><a class="nav-link" href="#about">Informacion</a></li>
                    <li class="nav-item"><a class="nav-link" href="{{route('eventos.index')}}">Eventos</a></li>
                    <li class="nav-item"><a class="nav-link" href="#portfolio">Introduccion</a></li>
                    <li class="nav-item"><a class="nav-link" href="#contact">Contacto</a></li>
                    

                    @if (Route::has('login'))
                        @auth

                        @else
                            <li class="nav-item">
                                <a href="{{ route('login') }}" class="nav-link">Iniciar Sesión</a>
                            </li>
                        @endauth
                    @endif
                </ul>
            </div>
        </div>
    </nav>
    <!-- Masthead-->
    <header class="masthead">
        <div class="container px-4 px-lg-5 h-100">
            <div class="row gx-4 gx-lg-5 h-100 align-items-center justify-content-center text-center">
                <div class="col-lg-8 align-self-end">
                    <h1 class="text-white font-weight-bold">Tu Lugar Favorito Para Aprender</h1>
                    <hr class="divider" />
                </div>
                <div class="col-lg-8 align-self-baseline">
                    <p class="text-white-75 mb-5">Puede ayudarlo a encontrar información de certificados de acuerdo a los cursos que realizo sin condiciones.</p>
                    <form action="{{ route('encontrarcertificado') }}" method="GET">
                        <p for="nombre" class="text-white-75 mb-2">Buscar por Codigo de Certificado:</p>
                        <input type="text" class="form-control" name="busqueda" id="" placeholder="Codigo de Certificado" required>
                        <button type="submit" class="btn btn-primary mt-2">Buscar Certificado</button>
                    </form>
                </div>
            </div>
        </div>
    </header>
    <!-- Portfolio-->
    <div id="portfolio">
        <div class="container-fluid p-0">
            <div class="row g-0">
                <div class="col-lg-4 col-sm-6">
                    <a class="portfolio-box" href="assets/img/portfolio/fullsize/1.jpg" title="Project Name">
                        <img class="img-fluid" src="assets/img/portfolio/thumbnails/1.jpg" alt="..." />
                        <div class="portfolio-box-caption">
                            <div class="project-category text-white-50">Expositores</div>
                            <div class="project-name">Te brindamos la oportunidad de aprender con los mejores
                                expositores</div>
                        </div>
                    </a>
                </div>
                <div class="col-lg-4 col-sm-6">
                    <a class="portfolio-box" href="assets/img/portfolio/fullsize/2.jpg" title="Project Name">
                        <img class="img-fluid" src="assets/img/portfolio/thumbnails/2.jpg" />
                        <div class="portfolio-box-caption">
                            <div class="project-category text-white-50">Material</div>
                            <div class="project-name">Podras encontrar el material audiovisual o notas en entrando en
                                los eventos</div>
                        </div>
                    </a>
                </div>
                <div class="col-lg-4 col-sm-6">
                    <a class="portfolio-box" href="assets/img/portfolio/fullsize/3.jpg" title="Project Name">
                        <img class="img-fluid" src="assets/img/portfolio/thumbnails/3.jpg" alt="..." />
                        <div class="portfolio-box-caption">
                            <div class="project-category text-white-50">Ambientes</div>
                            <div class="project-name">Te brindaremos la informacion de donde se realizaran los eventos
                                y charlas</div>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <!-- Call to action-->
    <!--<section class="page-section bg-dark text-white">
        <div class="container px-4 px-lg-5 text-center">
            <h2 class="mb-4">¡Registrate y empieza a aprender junto a nosotros!</h2>
            <a class="btn btn-light btn-xl" href="{{ route('register') }}">REGISTRARSE</a>
        </div>
    </section>-->
    <!-- Contact-->
    <section class="page-section-footer" id="contact">
        <div class="container px-4 px-lg-5">
            <div class="row gx-4 gx-lg-5 justify-content-center">
                <div class="col-lg-8 col-xl-6 text-center">
                    <h2 class="mt-0">
                        ¡Mantengámonos en contacto!</h2>
                    <hr class="divider" />
                    <p class="text-muted mb-5">¿Tienes dudas sobre lo que ofrecemos? ¡Envíenos un
                        mensaje y nos pondremos en contacto con usted lo antes posible!</p>
                </div>
            </div>

            <div class="row gx-4 gx-lg-5 justify-content-center">
                <div class="col-lg-4 text-center mb-5 mb-lg-0">
                    <i class="bi-phone fs-2 mb-3 text-muted"></i>
                    <div>+591 --- --- --</div>
                </div>
            </div>
        </div>
    </section>
</body>

</html>
