<?php $__env->startSection('template_title'); ?>
    <?php echo e($evento->name ?? 'Show Evento'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <section class="content container-fluid">
        <div class="container px-4 px-lg-5">
            <!-- Heading Row-->
            <div class="row gx-4 gx-lg-5 align-items-center my-5">
                <h1 class="fw-bolder fs-4 text-uppercase text-center"><?php echo e($evento->nombre_evento); ?></h1>
                <div class="col-md-5">
                    <img class="rounded card-img-top mb-5 mb-md-0" src="../<?php echo e($evento->portada); ?>" width="250"
                        alt="..." />
                </div>

                <div class="col-lg-7">
                    <div class="text-center">
                        <?php $__currentLoopData = $ambientes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ambiente): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($ambiente->evento_id == $evento->id): ?>
                                <p>
                                    <strong>Direccion: <?php echo e($ambiente->direccion); ?></strong>
                                </p>
                                <p>
                                    <strong>Nombre del Ambiente:</strong> <?php echo e($ambiente->nombre_ambiente); ?>

                                    <br><strong>Descripcion:</strong> <?php echo e($ambiente->descripcion); ?>

                                </p>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <span class="badge bg-success mb-1">Numero de cupos: <?php echo e($evento->nro_cupos - $c); ?></span>
                    <div class="fw-normal">
                        <p><?php echo e($evento->descripcion); ?></p>
                    </div>
                    <h4 class="fs-5">Fecha del evento: <span><?php echo e($evento->fecha); ?></span></h4>
                    <div class="d-flex flex-wrap">
                            <?php
                                $swCupo = 'true';
                            ?>
                            <?php if($evento->nro_cupos - $c == 0): ?>
                                <?php
                                    $swCupo = 'false';
                                ?>
                            <?php endif; ?>
                            <?php
                                $sw = 'false';
                            ?>
                            <?php $__currentLoopData = $inscritos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inscrito): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($inscrito->evento_id == $evento->id && auth()->id() == $inscrito->usuario_id): ?>
                                    <?php
                                        $sw = 'true';
                                    ?>
                                <?php break; ?>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php if($sw == 'true'): ?>
                            <button type="button" class="btn btn-success btn-sm m-1">Inscrito</button>
                        <?php else: ?>
                            <?php if($swCupo == 'true'): ?>
                                <form method="POST" action="<?php echo e(route('inscribir_usuario')); ?>">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="id_evento" value="<?php echo e($evento->id); ?>">
                                    <button class="btn btn-primary btn-sm m-1" type="submit">Inscribirse</button>
                                </form>
                            <?php else: ?>
                                <button type="button" class="btn btn-sm btn-danger px-1 m-1">Sin Cupo</button>
                            <?php endif; ?>
                        <?php endif; ?>
                        <a class="btn btn-secondary btn-sm m-1" href="<?php echo e(route('eventos.index')); ?>">Regresar</a>
                    </div>
                </div>
            </div>
        <div class="card text-white bg-light text-center mb-3 pt-2">
            <h6 class="text-black text-uppercase">Charlas que se realizaran en el evento</h6>
        </div>
        <div class="row gx-4 gx-lg-5">
            <?php $__currentLoopData = $charlas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charla): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4 mb-5">
                    <div class="card" style="width: 20rem;">
                        <img class="card-img-top" src="../<?php echo e($charla->archivo); ?>" alt="Card image cap">
                        <div class="card-body text-center">
                            <h5 class="card-title text-uppercase"><?php echo e($charla->tema); ?></h5>
                            <p class="card-text">Expositor: <?php echo e($charla->expositore->user->name); ?></p>
                            <p class="card-text"><?php echo e($charla->expositore->informacion); ?></p>
                            <p class="card-text">Horario: <?php echo e($charla->horario); ?></p>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\certificados\resources\views/evento/show.blade.php ENDPATH**/ ?>