<?php $__env->startSection('template_title'); ?>
    <?php echo e($evento->name ?? 'Show Evento'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <section class="content container-fluid">
        <div class="container px-4 px-lg-5">
            <!-- Heading Row-->
            <div class="row gx-4 gx-lg-5 align-items-center my-5">
                <h1 class="font-weight-light"><?php echo e($evento->nombre_evento); ?></h1>
                <div class="col-md-6">
                    <img class="rounded card-img-top mb-5 mb-md-0" src="../<?php echo e($evento->portada); ?>" width="700" height="500"
                        alt="..." />
                </div>

                <div class="col-lg-5">
                    <div class="text-center">
                        <?php $__currentLoopData = $ambientes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ambiente): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($ambiente->evento_id == $evento->id): ?>
                                <p>
                                    <strong>Direccion: <?php echo e($ambiente->direccion); ?></strong>
                                </p>
                                <p>
                                    <strong>Nombre del Ambiente:</strong> <?php echo e($ambiente->nombre_ambiente); ?>

                                    <br><strong>Descripcion:</strong> <?php echo e($ambiente->descripcion); ?>

                                </p>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <span class="badge bg-secondary"><?php echo e($evento->tipo_evento); ?></span>
                    <span class="badge bg-dark">Numero de cupos: <?php echo e($evento->nro_cupos - $c); ?></span>
                    <div class="overflow-auto" style="height: 350px;">
                        <p><?php echo e($evento->descripcion); ?></p>
                    </div>
                    <h4>Fecha del evento: <span class="badge bg-secondary"><?php echo e($evento->fecha); ?></span></h4>
                    <div class="row">
                        <div class="col-3">
                            <?php
                                $swCupo = 'true';
                            ?>
                            <?php if($evento->nro_cupos - $c == 0): ?>
                                <?php
                                    $swCupo = 'false';
                                ?>
                            <?php endif; ?>
                            <?php
                                $sw = 'false';
                            ?>
                            <?php $__currentLoopData = $inscritos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $inscrito): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($inscrito->evento_id == $evento->id && auth()->id() == $inscrito->usuario_id): ?>
                                    <?php
                                        $sw = 'true';
                                    ?>
                                <?php break; ?>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php if($sw == 'true'): ?>
                            <button type="button" class="btn rounded-pill btn-success mx-1">Inscrito</button>
                        <?php else: ?>
                            <?php if($swCupo == 'true'): ?>
                                <form method="POST" action="<?php echo e(route('inscribir_usuario')); ?>">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="id_evento" value="<?php echo e($evento->id); ?>">
                                    <button class="btn rounded-pill btn-primary" type="submit">Inscribirse</button>
                                </form>
                            <?php else: ?>
                                <button type="button" class="btn rounded-pill btn-danger px-1 mx-1">Sin Cupo</button>
                            <?php endif; ?>
                        <?php endif; ?>

                    </div>
                    <div class="col-3">
                        <a class="btn rounded-pill btn-secondary" href="<?php echo e(route('eventos.index')); ?>">Regresar</a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Call to Action-->
        <div class="card text-white bg-secondary my-5 py-4 text-center">
            <div class="card-body">
                <p class="text-white m-0">Charlas que se realizaran en el evento</p>
            </div>
        </div>
        <div class="row gx-4 gx-lg-5">
            <?php $__currentLoopData = $charlas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charla): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4 mb-5">
                    <div class="card" style="width: 20rem;">
                        <img class="card-img-top" src="../<?php echo e($charla->archivo); ?>" alt="Card image cap">
                        <div class="card-body text-center">
                            <h2 class="card-title"><?php echo e($charla->tema); ?></h2>
                            <p class="card-text">Expositor: <?php echo e($charla->expositore->user->name); ?></p>
                            <p class="card-text"><?php echo e($charla->expositore->informacion); ?></p>
                            <p class="card-text">Horario: <?php echo e($charla->horario); ?></p>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        <!-- Call to Action-->
        <div class="card text-white bg-dark my-5 py-4 text-center">
            <div class="card-body">
                <p class="text-white m-0">Material que se encuentra disponible para el evento</p>
            </div>
        </div>
        <?php if($inscritos[0]->estado_asistencia==="aceptado"): ?>
            <h2>REALIZA EL PAGO CORRESPONDIENTE PARA QUE PUEDAS VER EL MATERIAL DEL EVENTO</h2>
        <?php else: ?>
        <div class="row gx-4 gx-lg-5 row-cols-1 row-cols-md-2 row-cols-xl-2 justify-content-center">
            <?php $__currentLoopData = $materiales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $materiale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($materiale->evento_id == $evento->id): ?>
                    <div class="col mb-5">
                        <div class="card h-100">
                            <!-- Product image-->
                            <?php if($materiale->tipo == '1'): ?>
                                <img class="card-img-top" src="<?php echo e(asset($materiale->archivo)); ?>" alt="imagen"
                                    height="300" />
                            <?php endif; ?>
                            <?php if($materiale->tipo == '2'): ?>
                                <video src="<?php echo e(asset($materiale->archivo)); ?>" controls autoplay="true" muted="true"
                                    height="300" loop="true"
                                    poster="https://carontestudio.com/img/contacto.jpg"></video>
                            <?php endif; ?>
                            <?php if($materiale->tipo == '0'): ?>
                                <div class="embed-responsive embed-responsive-4by3 .custom-size">
                                    <embed class="embed-responsive-item" width="100%" height="300"
                                        src="../<?php echo e($materiale->archivo); ?>">
                                </div>
                            <?php endif; ?>
                            <!-- Product details-->
                            <div class="card-body p-4">
                                <div class="text-center">
                                    <!-- Product name-->
                                    <h5 class="fw-bolder"><?php echo e($materiale->nombre_materiales); ?></h5>
                                    <!-- Product price-->
                                    <?php echo e($materiale->evento->nombre_evento); ?>

                                    <span class="badge bg-dark">Publicado en: <?php echo e($materiale->created_at); ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        <?php endif; ?>

    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/datanetl/prueba.data-net-lab.com/resources/views/evento/show.blade.php ENDPATH**/ ?>